
import re
def get_parent_table_pages(title_array, file_id):
    parent_table_pages_local = {}
    parent_table_pages_local[file_id] = []
    print(f'{file_id}:{len(title_array)}')
    for i in range(len(title_array)):
        title_obj = title_array[i]
        title = title_obj['data']
        if len(re.findall('母公司|现金流量表补充|重要会计政策|会计估计变更|公允价值的披露|合营安排或联营企业中的权益|与金融工具相关的风险|税项|主要控股参股公司|结构化主体情况|公司股份总数及股东结构变动及公司资产和负债结构的变动情况|所有权或使用权受到限制的资产|在建工程|固定资产|其他主体中的权益|分部信息|与金融工具相关的风险|其他关联交易|公司子公司重大事项', title)) >0 :
            page_num = title_obj['index']
            parent_table_pages_local[file_id].append(page_num)

    parent_table_pages = parent_table_pages_local[file_id]
    return parent_table_pages

